Subject: [Anima-bootstrap] BRSKI doc updates for -04

From: "Max Pritikin (pritikin)" <[email-masked]>
Date: Fri, 28 Oct 2016 22:50:26 +0000

Folks, I’ve been making changes toward pushing out an update this weekend. If you have last minute comments or wish to verify that design team discussion have been captured please take a look at the github version. 

A current build -04 preliminary version is, as always, located here:
	https://github.com/ietf-roll/anima-bootstrap/blob/master/dtbootstrap-anima-keyinfra-04.txt

If you have comments please try to include specific changes. 

I will be pushing this by the Oct 31st deadline. 

- max

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 29 Oct 2016 13:24:07 +1300

Hi,

I object strongly to the unchanged formulation of section 3.1.1 (Discovery).
It mandates DNS-SD when IMHO it should mandate either DNS-SD or a GRASP
based method, as we discussed in Berlin. As I've said a few times,
I don't really care whether the GRASP method is based on the Flood
mechanism or the Discovery/Synchronize mechanism, or a Discovery/Negotiate
mechanism as Michael R proposed. But we look collectively foolish
if we do not use a GRASP mechanism within the AN environment.

At least, I want to see a place holder for this in the -04 draft.
Basically it would look like

[the pledge]

b.  MUST:

 either b1. Performs DNS-based Service Discovery [RFC6763]...

 or b2. Performs GRASP-based Discovery [details TBD since we are out of time]

and appropriate text somwhere about what the proxy does (i.e. MUST support
both discovery methods).

In 3.2.1 (CoAP connection to Registrar) there is a passing reference
to GRASP, without a citation, and the same for the ACP, without a citation.
At the minimum those need to cite the relevant drafts. There's the same
choice for how the proxy discovers the registrar (Flood, Discovery/Synchronize
or Discovery/Negotiate). Also, the ACP isn't mandatory for GRASP - we
could use Synchronize or Negotiate securely via TLS, if we had to.

Regards
   Brian

On 29/10/2016 11:50, Max Pritikin (pritikin) wrote:
> _______________________________________________
> Anima-bootstrap mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/anima-bootstrap
>

---

From: "Max Pritikin (pritikin)" <[email-masked]>
Date: Mon, 31 Oct 2016 17:34:20 +0000

Brian, 

As per the design team meeting consensus we have added a normative reference to secured GRASP for the communication channel between the Proxy and the Registrar when ACP is being used. 

We do not have normative language concerning the Pledge to the Proxy using unsecured GRASP. I think this is a reasonable compromise position,

- max 

> On Oct 28, 2016, at 6:24 PM, Brian E Carpenter <[email-masked]> wrote:
> 
> Hi,
>